Ruby: include/ruby/internal/intern/ruby.h File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Macros | Functions | Variables
ruby.h File Reference

Process-global APIs. More...

`#include "ruby/internal/dllexport.h"`
`#include "ruby/internal/value.h"`

Go to the source code of this file.

## Macros
#define | rb_argv rb_get_argv()

## Functions
VALUE | rb_get_argv (void)
void * | rb_load_file (const char *)
void * | rb_load_file_str (VALUE)

## Variables
VALUE | rb_argv0

## Detailed Description

Process-global APIs.

Author
  Ruby developers ruby-.nosp@m.core.nosp@m.@ruby.nosp@m.-lan.nosp@m.g.org

Copyright
  This file is a part of the programming language Ruby. Permission is hereby granted, to either redistribute and/or modify this file, provided that the conditions mentioned in the file COPYING are met. Consult the file for details.

Warning
  Symbols prefixed with either `RBIMPL` or `rbimpl` are implementation details. Don't take them as canon. They could rapidly appear then vanish. The name (path) of this header file is also an implementation detail. Do not expect it to persist at the place it is now. Developers are free to move it anywhere anytime at will.

Note
  To ruby-core: remember that this header can be possibly recursively included from extension libraries written in C++. Do not expect for instance `__VA_ARGS__` is always available. We assume C99 for ruby itself but we don't assume languages of extension libraries. They could be written in C++98.

Definition in file ruby.h.

## Macro Definition Documentation

## ◆ rb_argv

#define rb_argv rb_get_argv()

Definition at line 29 of file ruby.h.

## Function Documentation

## ◆ rb_get_argv()

VALUE rb_get_argv | ( | void |  | ) |

Definition at line 13082 of file io.c.

References ARGF.

## ◆ rb_load_file()

void * rb_load_file | ( | const char * | fname | ) |

Definition at line 2361 of file ruby.c.

References load_file_arg::fname, rb_load_file_str(), and rb_str_new_cstr.

## ◆ rb_load_file_str()

void * rb_load_file_str | ( | VALUE | fname_v | ) |

Definition at line 2368 of file ruby.c.

References rb_parser_load_file(), and rb_parser_new().

Referenced by rb_load_file().

## Variable Documentation

## ◆ rb_argv0

VALUE rb_argv0
| extern

Definition at line 1552 of file ruby.c.

Referenced by ruby_process_options().